Kann ds-mod nicht mehr compilieren

Badinder

Neuer User
Mitglied seit
29 Jan 2005
Beiträge
26
Punkte für Reaktionen
0
Punkte
0
laos,

hab jetzt noch recht lange ausprobiert.. Mit knoppix war nichts zu machen.. keine Ahnung warum..
hab es ann auf unserem Gameserver (Debian) gemacht.. da hat es direkt und ohen probs funktioniert...


mfg


David
 

kptkip

Neuer User
Mitglied seit
19 Okt 2006
Beiträge
18
Punkte für Reaktionen
0
Punkte
0
Hi Folks,

habe nach unendlichem rumwurschteln meine 7170 mit der aktuellen Firmware (x.x.21) unter cygwin compiliert bekommen:

1. ganz normalen ds-0.2.9-opensrc-04.06.tar.bz2 verwenden
unter http://www.ip-phone-forum.de/showpost.php?p=448817&postcount=1

2. patches.tar.bz2 von ollistudent
hier unter: http://www.ip-phone-forum.de/showpost.php?p=709635&postcount=9

3. patches.tar.bz2
hier unter: http://www.ip-phone-forum.de/showpost.php?p=709741&postcount=13

Danach ganz normal make menuconfig, make.

Danach liefs bei mir wie am Schnürchen. Wenn jetzt meine fat32-Platte noch unter Samba beschreibbar wäre - bisher keine funktionierende Lösung hier im Forum gesehen, dann fänd ich`s super.

So long und Gruß Kpt|Kip
 

torsten3009

Neuer User
Mitglied seit
25 Okt 2006
Beiträge
13
Punkte für Reaktionen
0
Punkte
0
@ kptkip,
patche einspielen?

bin irgendwie zu doof!
http://wiki.ip-phone-forum.de/software:ds-mod:howtos
hilft mir net weiter!

patche entpacken is klar!
aber in welches verz?
patch -p0 < ds-x.y.z-patch-name.patch bringt nen fehler:
Code:
$ patch -p0 < rc.S-mknod.patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- etc/init.d/rc.S.orig       2005-10-30 14:24:34.723342072 +0100
|+++ etc/init.d/rc.S    2005-10-30 14:28:25.961188576 +0100
--------------------------
File to patch:
 

torsten3009

Neuer User
Mitglied seit
25 Okt 2006
Beiträge
13
Punkte für Reaktionen
0
Punkte
0
torsten3009 schrieb:
@ kptkip,
patche einspielen?

bin irgendwie zu doof!
http://wiki.ip-phone-forum.de/software:ds-mod:howtos
hilft mir net weiter!

patche entpacken is klar!
aber in welches verz?
patch -p0 < ds-x.y.z-patch-name.patch bringt nen fehler:
Code:
$ patch -p0 < rc.S-mknod.patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- etc/init.d/rc.S.orig       2005-10-30 14:24:34.723342072 +0100
|+++ etc/init.d/rc.S    2005-10-30 14:28:25.961188576 +0100
--------------------------
File to patch:
die Datei etc/init.d/rc.S gibt es im "ds-x.y.z" Verzeichnis überhaupt nicht! :confused:

dann können die patche das ja auch nicht ändern???!!!
 

kptkip

Neuer User
Mitglied seit
19 Okt 2006
Beiträge
18
Punkte für Reaktionen
0
Punkte
0
Hallo!

Den patch von olistudent in das Verzeichnis:
[ds-mod-inst.-Verzeichnis]\patches\fon_wlan_7170
kopieren.

Den anderen in:
[ds-mod-inst.-Verzeichnis]\patches\fon_wlan_7170\de

Ich habe im grund nix explizit "gepatcht", sondern nur Dateien ausgetauscht (Wobei das für meine Begriffe das gleiche sein sollte...)

Gruß
Kpt|Kip
 

Boyz

Mitglied
Mitglied seit
3 Aug 2006
Beiträge
209
Punkte für Reaktionen
0
Punkte
16
Hallo
ich hab das Image mit cygwin erstellt mit DS-MOD 0.2.9 und neueste Firmware (fritz.box_fon_wlan_7170.29.04.21.image+DS-MOD 0.2.9)
beim erstellen gab es keine Probleme lief alles einwand frei!

Wenn ich das Image beim Fritz Box hochladen will kriege ich folgende Meldung:


Das Firmware-Update ist fehlgeschlagen:

Es trat ein nicht näher spezifizierter Fehler während des Updates auf.

Wiederholen Sie das Firmware-Update oder starten Sie FRITZ!Box neu.

Firmware-Update wiederholen: und so weiter...

woran liegt das????

Gruß
Boyz
 
Zuletzt bearbeitet:

Ferris

Neuer User
Mitglied seit
22 Jan 2006
Beiträge
81
Punkte für Reaktionen
0
Punkte
6
Hallo,

ich habe den gleichen Fehler wie Boys auf meiner Fritz!Box Fon WLAN 7050 beim Update auf die Firmware 14.04.15 und dem DS-MOD 0.2.9 - obwohl beim Kompilieren der Firmware unter Cygwin keine Fehler auftreten sind...

Könnte es daran liegen, dass die aktuellsten DS-MODs nur für die Firmwareversionen xx.04.06 geschrieben wurden und man auch hier einen Patch genötigt?

Ich will eigentlich nur IPTABLES (über das Package "firmware-cgi 0.5") in die Box bekommen - alle anderen Optionen wurden deaktiviert! (Ausnahme: Branding "avm" wurde auch ausgewählt - was die Box wirklich von Anfang an war!)

Wo liegt die Ursache für die Fehlermeldung, die bei Boys und mir ausgegeben wird, wenn man das kompilierte Image flashen will?

Vorab besten Dank für eure Hilfe!

Viele Grüße,
Ferris


Noch ein kleiner Nachtrag: Auf der Box befindet sich bereits die original Firmware 14.04.15 von AVM ohne irgendwelche Modifikationen - aber ein Update auf die gleiche Versionnummer sollte ja funktionieren! Ich habe auch ein Recover auf 14.04.15 gemacht, um evtl. Rückstände vom alten DS-MOD endgültig zu entfernen, aber trotzdem besteht das Problem weiterhin! Weitere Infos unter "ds-mod 0.2.9 läßt sich nicht auf flashen - FRITZ!Box Fon"!
 
Zuletzt bearbeitet:

Boyz

Mitglied
Mitglied seit
3 Aug 2006
Beiträge
209
Punkte für Reaktionen
0
Punkte
16
HI
also bei mir läuft jetzt der DS-MOD 0.2.9 mit 29.04.21
ich hab einfach mit LINUX erstellt und läuft ohne Probleme
Cygwin ist nicht empfehlenswert!!!!!!!

Gruß
Boyz
 

torsten3009

Neuer User
Mitglied seit
25 Okt 2006
Beiträge
13
Punkte für Reaktionen
0
Punkte
0
@ Boyz, schreib mal genau, was du gemacht hast.
welcher download, welche patche, welche menu auswahl
 

BOFHELL

Neuer User
Mitglied seit
19 Okt 2006
Beiträge
186
Punkte für Reaktionen
0
Punkte
16
Cygwin suckt um es mal deutlich zu sagen :D
 

Boyz

Mitglied
Mitglied seit
3 Aug 2006
Beiträge
209
Punkte für Reaktionen
0
Punkte
16
HI
ich hab ganz normal nach HOW TO für Linux erstellt und dann halt so wie beschrieben:

1. ganz normalen ds-0.2.9-opensrc-04.06.tar.bz2 verwenden
unter http://www.ip-phone-forum.de/showpost.php?p=448817&postcount=1

2. patches.tar.bz2 von ollistudent
hier unter: http://www.ip-phone-forum.de/showpost.php?p=709635&postcount=9

3. patches.tar.bz2
hier unter: http://www.ip-phone-forum.de/showpost.php?p=709741&postcount=13

Danach ganz normal make menuconfig, make.

Das Ganze hab ich halt im Debian Linux gemacht, aber ich weis nicht wie es mit andere Linux Distributionen ist!

Gruß
Boyz
 

torsten3009

Neuer User
Mitglied seit
25 Okt 2006
Beiträge
13
Punkte für Reaktionen
0
Punkte
0
also bei mir kommt ein fehler beim einspielen der patche:
Code:
 applying patches (fon_wlan_7170-de)
    patching file etc/profile
    patching file usr/bin/system_status
    patching file etc/init.d/rc.net
    patching file etc/init.d/rc.voip
    patching file etc/init.d/rc.S
    patching file etc/init.d/rc.S
    patching file etc/init.d/rc.S
    patching file usr/www/all/html/de/menus/menu2_fon.html
    Hunk #1 succeeded at 69 (offset -2 lines).
    patching file usr/www/all/html/de/menus/menu2_homehome.html
    patching file usr/www/all/html/de/menus/menu2.inc
    Hunk #1 succeeded at 9 with fuzz 2.
    patching file usr/www/all/html/de/menus/menu2_internet.html
    patching file usr/www/all/html/de/menus/menu2_system.html
    patching file usr/www/all/html/de/menus/menu2_usb.html
    patching file usr/www/all/html/de/menus/menu2_wlan.html
    patching file etc/init.d/rc.S
    Hunk #1 FAILED at 256.
    1 out of 1 hunk FAILED -- saving rejects to file etc/init.d/rc.S.rej
make: *** [firmware] Fehler 2
sonst alles wie bei boyz gemacht...
 

Ferris

Neuer User
Mitglied seit
22 Jan 2006
Beiträge
81
Punkte für Reaktionen
0
Punkte
6
@torsten3009

Genau diesen Fehler hatte ich beim DS-MOD 0.2.8 und 0.2.9 auch, nachdem ich diesen auf der FBF WLAN 7050 Firmware 14.04.06 angewendet habe - auch unter Linux und nicht nur Cygwin! Da ich keine Patches verwendet habe und mit der Firmware 14.04.12 und 14.04.15 dagegen keine derartigen Fehler auftreten, vermute ich, dass es am Image selbst liegt und der DS-MOD nicht mit allen Images funktioniert...

Habe auch schon in einem anderen Beitrag auf diese Sache hingewiesen, jedoch keine brauchbare Antwort darauf erhalten...

Grüße,
Ferris
 

MakkaB

Mitglied
Mitglied seit
5 Apr 2005
Beiträge
406
Punkte für Reaktionen
1
Punkte
18
Nachdem es unter Knoppix mit dem Kompilieren für die 7050 in der Firma geklappt hat, wollte ich zum Testen der Firewall-Funktion meine 7170 zu Hause auch noch mit dem ds-mod patchen.

kptkip schrieb:
Den patch von olistudent in das Verzeichnis:
[ds-mod-inst.-Verzeichnis]\patches\fon_wlan_7170
kopieren.

Den anderen in:
[ds-mod-inst.-Verzeichnis]\patches\fon_wlan_7170\de
Genau das habe ich gemacht und dann 'make menuconfig' aufgerufen, MC und die Firewall ausgewählt. Bei 'make' kam dann die Anfrage wegen der zu neuen Firmware (dachte eigentlich, dies wäre durch die obigen patches erledigt) und ein erneutes 'make' lud die neue Firmware zwar herunter, das Kompilieren brach aber mit

Code:
STEP 2: MODIFY
applying patches
make: *** [firmware] Fehler 2
ab.

Was nun? Warte ich auf den angepassten ds-mod, oder soll ich nochmal was patchen? Wär übrigens praktisch, wenn der ds-mod vorher sein dl-Verzeichnis chekcen würde, um zu sehen, ob die Files schon heruntergeladen sind. AVM wird Euch dankbar sein ;)
 

Boyz

Mitglied
Mitglied seit
3 Aug 2006
Beiträge
209
Punkte für Reaktionen
0
Punkte
16
@torsten3009
hast du die beiden patches von Olistudent angepasst??
du musst die patches von Olistudent umbennen!

in diesen Odner >>> "patches/fon_wlan_7170/de/" gibts schon die 2 Patches
so nennst du die neuen Patches wie in den Odner drinn ist dann rein damit und erstetzen!

Gruß
Boyz
 

kuni0307

Neuer User
Mitglied seit
29 Jun 2006
Beiträge
11
Punkte für Reaktionen
0
Punkte
0
Wollte auch mal was sagen!

Habe es genauso gemacht und es funktioniert einwandfrei!
Habe auch den Callmonitor 1.7 mit eingebunden.
Vielen Dank, denn es ging nur dank den guten tips hier im Board!!!!!



:p :p :p :p :p
 

olistudent

IPPF-Urgestein
Mitglied seit
19 Okt 2004
Beiträge
14,779
Punkte für Reaktionen
10
Punkte
38
@MakkaB
Dann hast du wohl nicht die richtigen Patches zu deiner Firmware ins Verzeichnis gepackt.
Es wird nichts doppelt runtergeladen. Wenn eine Datei bereits im Download-Verzeichnis ist, dann wird sich nicht nochmal geladen.

MfG Oliver
 

MakkaB

Mitglied
Mitglied seit
5 Apr 2005
Beiträge
406
Punkte für Reaktionen
1
Punkte
18
Oder es liegt daran, daß ich nicht den ds-mod für die Labor-Firmware verwendet habe? In welchem Posting ist der denn verlinkt?
 

olistudent

IPPF-Urgestein
Mitglied seit
19 Okt 2004
Beiträge
14,779
Punkte für Reaktionen
10
Punkte
38
Ich kann in deinem Posting von oben nirgendwo das Wort Laborfirmware finden. Vielleicht hättest du das erwähnen sollen. ;-)

Link

MfG Oliver
 

Zurzeit aktive Besucher

3CX PBX - GRATIS
Linux / Win / Cloud

Neueste Beiträge

Statistik des Forums

Themen
232,581
Beiträge
2,024,370
Mitglieder
350,391
Neuestes Mitglied
FfReAkDude